## advi 1.9.0

=== examples/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the various example subdirectories.

# $Id: Makefile,v 1.4 2010/03/24 08:05:32 remy Exp $


EXPORTFILES = $(shell find -name CVS -prune -o -name '[^.]*' -print)


SUBDIRS=basics prosper seminar slitex


all:
	for i in $(SUBDIRS); do \
	 echo $$i; \
	 cd $$i; $(MAKE) all; cd ..; \
	done
	@echo '*** All examples have been successfully compiled'
	@echo '*** Run "make show" to view the examples'

show:
	for i in $(SUBDIRS); do \
	 echo $$i; \
	 cd $$i; $(MAKE) show; cd ..; \
	done

distdir:
	rm -rf distexamples
	cvs export -D today -d distexamples advi/examples
	find distexamples -name .cvsignore  -exec rm '{}' ';'
	rmdir $(distdir)
	mv distexamples/examples $(distdir) 
	rmdir distexamples

test:
	for i in $(SUBDIRS); do \
	 echo $$i; \
	 cd $$i; $(MAKE) all; cd ..; \
	done

clean:
	for i in $(SUBDIRS); do \
	 cd $$i; $(MAKE) clean; cd ..; \
	done

=== examples/basics/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the basic examples and its subdirectories.

# $Id: Makefile,v 1.11 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../advi.opt file.dvi

TEXFILES= simple.tex moderate.tex 

ADVIDIR=../..

RM=/bin/rm -f

LATEX=TEXINPUTS=.:$(ADVIDIR)/tex:$(TEXINPUTS): latex
PLATEX=TEXINPUTS=.:$(ADVIDIR)/tex:$(TEXINPUTS): platex

DVIFILES= $(TEXFILES:.tex=.dvi)
ADVI=TEXPSHEADERS=$(ADVIDIR)/tex: $(ADVIDIR)/advi

MLPROG=

all: $(DVIFILES) 

show: $(DVIFILES) 
	advi simple.dvi && \
	advi moderate.dvi 

dvi : $(DVIFILES) $(MLPROG)

$(DVIFILES): $(ADVIDIR)/tex/bar.eps $(ADVIDIR)/tex/advi.sty $(ADVIDIR)/tex/advi-annot.sty 

.dvi.advi:
	$(ADVI) $<

.tex.dvi:
	$(LATEX) $<

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	$(RM) $(MLPROG) *.cmi *.cmo
	$(RM) .advi/*

.SUFFIXES: .tex .sty .dvi .eps .advi

=== examples/prosper/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the prosper examples.

# $Id: Makefile,v 1.12 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../advi.opt file.dvi

SUBDIRS=Join LL

all:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) all; cd ..; \
	done

show:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) show; cd ..; \
	done

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) clean; cd ..; \
	done

=== examples/seminar/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the seminar examples.

# $Id: Makefile,v 1.2 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../advi.opt file.dvi

SUBDIRS=clock a14

all:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) all; cd ..; \
	done

show:
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) show; cd ..; \
	done

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	for i in $(SUBDIRS); do \
	  cd $$i; $(MAKE) clean; cd ..; \
	done

=== examples/slitex/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the slitex sub-directory examples.

# $Id: Makefile,v 1.3 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../../advi.opt file.dvi

SUBDIRS=advi caml simplistic skin_detection

all:
	for i in $(SUBDIRS); do \
	  if test -d $$i; then \
	    cd $$i; $(MAKE) all; cd ..; \
	  fi; \
	done

show:
	for i in $(SUBDIRS); do \
	  if test -d $$i; then \
	    cd $$i; $(MAKE) show; cd ..; \
	  fi; \
	done

clean:
	$(RM) a.out *.aux *.log *.dvi *~ 
	for i in $(SUBDIRS); do \
	  if test -d $$i; then \
	    cd $$i; $(MAKE) clean; cd ..; \
	  fi; \
	done

=== examples/prosper/Join/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the Join example.

# $Id: Makefile,v 1.7 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../../../advi.opt file.dvi

TOPDIR=../../..
FILES=join.tex 
include ../../lib/Makefile

all:: join.dvi

show: join.dvi
	$(ADVI) join.dvi

join.dvi: join.tex
	$(LATEX) $<

join.pdf: join.tex
	$(LATEX) '\def\argv{ps2pdf}\input' $<
	dvips -o $*.ps $*.dvi && ps2pdf $*.ps $*.pdf
	rm $*.dvi

clean::
	/bin/rm -f join.aux join.log join.dvi join.ps join.pdf *~

.phony: show

=== examples/prosper/LL/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the LL example.

# $Id: Makefile,v 1.10 2010/03/19 15:56:11 remy Exp $

# To view the demos, use ../../../advi.opt file.dvi

TEXINPUTS := ..:../../lib:../../../tex::
ADVI=../../../src/advi
LATEX=TEXINPUTS=$(TEXINPUTS) latex 

all: ll.dvi

show: ll.dvi
	$(ADVI) ll.dvi

ll.dvi: ll.tex world.jpg advilogo.anim.gif
	$(LATEX) $<

ll.pdf: ll.tex
	$(LATEX) '\def\argv{ps2pdf}\input' $<
	dvips -t landscape -o ll.ps ll.dvi && ps2pdf ll.ps ll.pdf
	./pdfrotate.pl ll.pdf
	rm ll.dvi

clean:
	/bin/rm -f ll.out ll.aux ll.log ll.dvi ll.ps ll.pdf *~

.phony: show

=== examples/seminar/a14/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the A14 example.

# $Id: Makefile,v 1.6 2010/03/14 09:48:45 remy Exp $

# To view the demos, use ../advi.opt file.dvi

N=14
ADVIDIR=../../..
LATEX=TEXINPUTS=.:$(ADVIDIR)/tex:$(TEXINPUTS): latex

all:: a${N}.dvi

show:: a${N}.dvi
	advi a${N}.dvi

a${N}.dvi: mon-dvipdf.tex a${N}.tex
	./putimage <a${N}.tex | gpic -t > a${N}bis.tex
	- $(LATEX) a${N}bis.tex
	mv -f a${N}bis.dvi a${N}.dvi

mon-dvipdf.tex:
	echo "" > mon-dvipdf.tex
	${MAKE} clear

ps: a${N}.tex a${N}.dvi
	dvips -f a${N}.dvi >a${N}.ps

light:
	echo "\usepackage{colors-light}" > mon-color.tex

clear:
	echo "\usepackage{colors-clear}" > mon-color.tex

dark:
	echo "\usepackage{colors-dark}" > mon-color.tex

html: mon-dvipdf.tex
	./putimage <a${N}.tex |gpic -t > a${N}bis.tex
	hevea sem.hva a${N}bis.tex
	${MAKE} images
	mv -f a${N}bis.html a${N}.html

images:
	imagen -extra "pnmflip -ccw" -mag 1700 a${N}bis

pdf:
	echo "\usepackage[dvipdfm]{hyperref}" >mon-dvipdf.tex
	/bin/rm -f a${N}.dvi
	${MAKE} a${N}.dvi
	dvipdfm a${N}.dvi 

PUBLIC_HTML=ma-machine:/usr/home/moi/public_html

web: html
	scp a${N}.html a${N}.ps a${N}.pdf a${N}*.gif ${PUBLIC_HTML}/cours/a${N}

clean::
	/bin/rm -f *~ *.dvi *.ps *.pdf *.html \
        *.log *.aux *.out *.gif \
	a${N}bis.tex a${N}bis.image.tex mon-color.tex mon-dvipdf.tex

.phony: show

=== examples/seminar/clock/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the clock example.

# $Id: Makefile,v 1.7 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../../../advi.opt file.dvi

TOPDIR=../../..
FILES=tools.tex
EPS=bar.jpg.eps cameleon.eps cameleon2.eps hump.eps logo.gif.eps ocaml.eps ocamldoc.eps ODBC.eps

include ../../lib/Makefile

all:: tools.dvi

show:: tools.dvi
	advi tools.dvi

tools.dvi: $(EPS) tools.tex
	$(LATEX) tools.tex

tools.pdf: $(EPS) tools.tex
	$(LATEX) '\def\argv{ps2pdf}\input' tools.tex
	dvips -o $*.ps $*.dvi && ps2pdf $*.ps $*.pdf
	rm $*.dvi 

$(EPS):$(EPS.eps=.eps.gz)
	gunzip -c $*.eps.gz > $@

clean::
	rm -f *.dvi *.pdf *.aux *.log *.ps *~ $(EPS)

.phony: show

=== examples/slitex/advi/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the slitex advi sub-directory example.

# $Id: Makefile,v 1.5 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../../../advi.opt file.dvi

LATEX=latex

OSTYLES=../../../tex

.SUFFIXES: .tex

all: talk.dvi

show: talk.dvi
	advi talk.dvi

clean::
	/bin/rm -f *.z[io] *~ *.txt *.log *.aux *.dvi talk.ps spelling

scratch: clean
	/bin/rm -f *.bbl

talk.dvi: talk.tex slides.tex
	@ TEXINPUTS=$(OSTYLES):$$TEXINPUTS; export TEXINPUTS; latex talk.tex

ps:
	dvips -o talk.ps -t landscape talk.dvi

=== examples/slitex/caml/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the slitex caml sub-directory example.

# $Id: Makefile,v 1.6 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../../../advi.opt file.dvi

LATEX=latex

OSTYLES=../../../tex

.SUFFIXES: .tex

all:: talk.dvi

show:: talk.dvi
	advi talk.dvi

clean::
	/bin/rm -f *.z[io] *.aux *.dvi talk.ps *.log *~ *.txt spelling

scratch: clean
	/bin/rm -f *.bbl

talk.dvi: talk.tex slides.tex
	@ TEXINPUTS=$(OSTYLES):$$TEXINPUTS; export TEXINPUTS; latex talk.tex

ps:
	dvips -o talk.ps -t landscape talk.dvi

=== examples/slitex/simplistic/Makefile ===
#*********************************************************************#
#                                                                     #
#                             Active-DVI                              #
#                                                                     #
#                   Projet Cristal, INRIA Rocquencourt                #
#                                                                     #
#  Copyright 2003 Institut National de Recherche en Informatique et   #
#  en Automatique.  All rights reserved.  This file is distributed    #
#  under the terms of the GNU Lesser General Public License.          #
#                                                                     #
#  Jun Furuse, Didier Rmy and Pierre Weis.                           #
#  Contributions by Roberto Di Cosmo, Didier Le Botlan,               #
#  Xavier Leroy, and Alan Schmitt.                                    #
#                                                                     #
# Pierre Weis                                                         #
#                                                                     #
#*********************************************************************#

# The Makefile for the slitex simplistic sub-directory example.

# $Id: Makefile,v 1.6 2010/03/11 22:25:03 remy Exp $

# To view the demos, use ../../../advi.opt file.dvi

LATEX=latex

OSTYLES=../../../tex

.SUFFIXES: .dvi .tex

all: talk.dvi

show: talk.dvi
	advi talk.dvi

clean:
	/bin/rm -f *.z[io] *~ *.txt *.log *.aux *.dvi talk.ps spelling

scratch: clean
	/bin/rm -f *.dvi; rm -f *.bbl

talk.dvi: talk.tex

.tex.dvi:
	@ TEXINPUTS=$(OSTYLES):$$TEXINPUTS; export TEXINPUTS; latex $<

ps:
	dvips -o talk.ps -t landscape talk.dvi

=== debian/changelog ===
advi (1.9.0-1) unstable; urgency=low

  * New upstream version.
  * Compress installed dvi documents, except splash.dvi.
  * Fix dh_strip override: do not strip when non-native architecture.
  * Patches typo-message and manpage: fix some typos.
  * Merged debian/dirs into debian/advi.dirs, removed /usr/share/advi

 -- Ralf Treinen <treinen@debian.org>  Mon, 05 Apr 2010 19:41:22 +0200

advi (1.9.0~rc2-1) experimental; urgency=low

  * New upstream version (release candidat for 1.9.0)
  * Remove patch cache-dir-tilde-expansion, as this is now integrated by
    upstream.
  * Remove patch use-ghostscript as upstream has fixed his configuration
    script. Invoke ./configure with option --with-gs.
  * Removed patch as upstream has updated his manpage, and since zadvi has
    disappeared from he package.
  * Removed zadvi from the package since advi now can directly read
    gzipped dvi files, and removed link for the zadvi manpage. Added
    an entry about this in debian/NEWS.
  * Removed patches use-data-dir, examples-phony-targets, and
    doc-without-htmlc as upstream has fixed his build system.
  * Removed patch japanese-fonts as upstream has fixed this.
  * Install splash dvi douments in /usr/share/doc/advi where advi expects
    them.

 -- Ralf Treinen <treinen@debian.org>  Sun, 04 Apr 2010 20:33:10 +0200

advi (1.9-2) unstable; urgency=low

  * Upload to unstable. Besides, no change w.r.t. 1.9-1.

 -- Ralf Treinen <treinen@debian.org>  Tue, 16 Mar 2010 09:06:47 +0100

advi (1.9-1) experimental; urgency=low

  * New upstream version. This version closes a bug concerning embedded
    postscript images (closes: #452044) and with the scaling of the display
    (closes: #323963).
  * Upstream distributes again the examples/ subtree, install it instead
    of our old copy in debian/examples-source. Remove from
    debian/examples-source the old copies of examples and test/.
  * patch doc-without-htmlc: do not call htmlc for building the doc
  * patch examples-no-check: add phony check target in examples/Makefile
    since this is called recursively on all subdirs from the toplevel
    Makefile.
  * Dependency on ghostscript: >= 7.05
  * Build-dependencies: put back some dependencies since upstream makefile
    does again rebuild the doc: hevea, texlive-latex-base, texlive-pstricks,
    texlive-latex-recommended, texlive-pictures.
  * patch use-ghostscript: make configure believe that ghostscript is installed
    at compilation time.
  * debian/rules: also make the splash.dvi documents in doc/
  * Install doc/{splash,scratch_draw_splash,scratch_write_splash}.dvi files
    into /usr/share/advi
  * debian/control: Updated location of upstream homepage
  * debian/watch: put new domain (advi.inria.fr)

 -- Ralf Treinen <treinen@debian.org>  Mon, 15 Mar 2010 22:03:48 +0100

advi (1.8-2) experimental; urgency=low

  * Bring back changes from 1.6.0-14 and 1.6.0-15 that were accidentially
    ignored when building 1.8-1:
    - dh-ocaml build-dependency >= 0.9
    - uploader Stéphane Glondu

 -- Ralf Treinen <treinen@debian.org>  Tue, 09 Mar 2010 21:27:41 +0100

advi (1.8-1) experimental; urgency=low

  [ Ralf Treinen ]
  * New upstream release (closes: Bug#368830).
  * /etc/advi/jpfonts.conf: use new symlinks for Japanese fonts. Thanks to
    Junichi Uekawa for the patch (closes: Bug#506047).
  * Applied Helge Kreutzmann's patch to the manpage. Thanks, Helge!
    (closes: Bug#286456).
  * Standards-Version 3.8.4 (no change)
  * Rewrote debian/rules from scratch, using dh
  * Build-dependency:
    - remove ocaml-best-compilers: normal ocaml compilers are sufficient
    - remove texlive stuff and hevea: we just use the upstream docs
    - remove ghostscript: not needed
    - add tex-common: needed for installing tex stuff
    - add libfindlib-ocaml: now needed for compilation
    - add dh-ocaml: needed for the ocaml plugin to dh
    - add texlive-binaries: provides kpsexpand
  * Remove debian/post{inst,rm}, use dh_installtex instead
  * Do not try to install the documentation file "Announce"
  * rename debian/docs to debian/advi.docs, links into advi.links
  * debian/copyright: added INRIA as copyright holder
  * Source format 3.0 (quilt)
  * The directories examples/ and test/ are gone from upstream. We put
    these directories from advi-1.6 into debian/examples-source. This
    directory has the relevant debian patches from 1.6.0 applied.
  * New patch:
    - no-local-advirc: do not load .advirc from the working direcory
  * Old patches:
    - 0004-Japanese-fonts: jpfonts.config is no longer in upstream, put it
      into debian/. Patch renamed to japanese-fonts
    - 0005-Cache-dir.patch: renamed to cache-dir-tilde-expansion
    - 0015-Manpage-update.patch: renamed to manpage
    - The following patches are no longe relevant, and have been removed:
        0001-Pull-CVS-HEAD-as-of-20060103 (now integrated in upstream)
        0002-Makefile-.depend-workaround-for-buggy-make-behavior
  	0006-Enable-build-and-install-on-architectures-with-only.patch
        0013-Doc-build.patch (doc recompiles smoothly now)
    - The following patches concern only examples. or test/. They are already
      applied to the copy which now in debian/examples-source. These patches
      are therefore just stored in debian/examples-source/patches:
        0003-Don-t-call-advi-on-example-build-generation
        0007-Fix-examples-includes
        0008-Fix-mon_seminar
        0009-Fix-test-includes.patch
        0010-Neutralize-texinputs.patch
        0011-No-bubble.patch  
        0012-Set-test-cache-dir.patch
        0014-xanim-xanimate.patch
        0016-example-makefiles-texinputs.patch
        0017-Don-t-compile-tests-which-fail-with-texlive.patch 

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

 -- Ralf Treinen <treinen@debian.org>  Mon, 08 Mar 2010 20:14:16 +0100

advi (1.6.0-15) unstable; urgency=low



=== debian/control ===
Source: advi
Section: tex
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
 Remi Vanicat <vanicat@debian.org>,
 Stefano Zacchiroli <zack@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9),
 ocaml, libcamlimages-ocaml-dev, ocaml-findlib,
 tex-common, texlive-binaries, texlive-latex-base, texlive-pstricks,
 texlive-latex-recommended, texlive-pictures, hevea,
 x11proto-core-dev, libx11-dev, libxinerama-dev, zlib1g-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/advi.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/advi.git
Homepage: http://advi.inria.fr/

Package: advi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends},
 texlive-base-bin, texlive-base, ghostscript (>= 7.05)
Suggests: ttf-kochi-gothic, ttf-kochi-mincho, bzip2
Replaces: mldvi, activedvi
Description: an active DVI previewer and presenter
 Active-DVI is a DVI previewer and presenter written in Objective Caml
 with some eye candy effects for presentation, support for interactive
 demonstrations, and embedding of arbitrary applications within the
 presentation (hence the Active adjective of the presenter :).
 .
 Active-DVI does not (yet) support postscript fonts (see the README.Debian for
 more details).
 .
 Active-DVI also has the ability to run embedded commands, which may cause
 security problems when viewing untrusted DVI files. Make sure to read the
 README.Debian for more information.

Package: advi-examples
Architecture: all
Depends: ${misc:Depends}, texlive-latex-base, ghostscript, advi, imagemagick
Conflicts: advi (<< 1.6.0-4)
Suggests: ttf-kochi-gothic, ttf-kochi-mincho, ocaml-base-nox, mpg321, tk8.4, xterm
Description: example presentations for Active-DVI (advi)
 Active-DVI is a DVI previewer and presenter written in Objective Caml
 with some eye candy effects for presentation, support for interactive
 demonstrations, and embedding of arbitrary applications within the
 presentation (hence the Active adjective of the presenter :).
 .
 This package contains example presentations for Active-DVI.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
OPT                 = false
OPT                 = $(shell test -x /usr/bin/ocamlopt && echo true)

%:
	dh $@ --with tex,ocaml

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--with-gs=/usr/bin/ghostscript

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/advi
ifeq ($(OPT),true)
	-rm -f $(CURDIR)/debian/advi/usr/bin/advi.byt
else
	cd $(CURDIR)/debian/advi/usr/bin && mv -f advi.byt advi
endif

# Do not strip the executable when compiling to bytecode (bug #500286).
# This should be dropped as soon as bytecode compilation can be done without
# using the -custom option (see bug #517546).
ifeq ($(OPT),false)
override_dh_strip:
	dh_strip
endif

override_dh_compress:
	dh_compress --exclude=usr/share/doc/advi/splash.dvi

## advi 1.10.0

=== debian/changelog ===
advi (1.10.0-1) unstable; urgency=low

  * New upstream version. This version does no longer use -custom for
    bytecode compilation (closes:  #517546).
    - drop patch linker_as_needed since now integrated by upstream
    - drop patch camlimages-4.0.1 since now integrated by upstream
  * We don't need to override dh_strip anymore since the -custom option
    is no longer used.
  * $(MAKE) doc still doesn't work:
    - patch dont-make-doc: do not attempt to invoke make on doc/
    - install manpage through debian/advi.manpages
    - install user documentation through debian/advi.install

 -- Ralf Treinen <treinen@debian.org>  Tue, 02 Aug 2011 19:11:34 +0200

advi (1.9.0-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * Adapt to camlimages 4.0.1
  * Remove Stefano from Uploaders

  [ Ralf Treinen ]
  * debian/rules: configure with --sysconfdir=/etc. This fixes a bug 
    where advi did not find the system configuration file for japanese
    fonts (closes: 631811).
  * Add to the advi-examples package the simple japanese test file.
    Thanks to Junichi Uekawa for having provided that file.

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Jul 2011 21:35:23 +0200

advi (1.9.0-4) unstable; urgency=low

  * Change dependency on ghostscript to ghostscript-x (closes: #618270).
  * Remove build-dependency on ocaml-nox since lintian is fixed.
  * Patch linker_as_needed: fix FTBFS with linker flag --as-needed
    (closes:  #607530). Thanks a lot to Stefan Potyra for the patch!
  * Standard-Version 3.9.2 (no change)
  * do not start short description on an article.
  * Patch examples-scripts: call directly perl interpreter in
    examples/prosper/LL/pdfrotate.pl. Add dependency of advi-examples
    on perl.

 -- Ralf Treinen <treinen@debian.org>  Sun, 01 May 2011 14:38:45 +0200

advi (1.9.0-3) unstable; urgency=low

  * Add build-dependency on ocaml-nox to bypass lintian bug #612568
    (wrongly complaining about a missing build-dependency). This should be
    dropped when lintian >= 2.5.0~rc1 hits unstable.
  * Patch examples-makefiles: fix pathnames in examples/basic/Makefile

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 Mar 2011 22:25:59 +0100

advi (1.9.0-2) experimental; urgency=low

  * Removed ghostscript from the dependencies of advi-examples
  * Patch linker_as_needed: enable linking with --as-needed flag. Thanks
    to Stefan Potyra for the  patch! (closes: #607530).
  * Standards-Version 3.9.1 (no change)
  * Versionend dependencies on dh-ocaml and ocaml to have full ocaml
    dependency support.

 -- Ralf Treinen <treinen@debian.org>  Tue, 04 Jan 2011 03:20:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
  Remi Vanicat <vanicat@debian.org>,
- Stefano Zacchiroli <zack@debian.org>,
  Sylvain Le Gall <gildor@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9),
- ocaml, libcamlimages-ocaml-dev, ocaml-findlib,
+Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
+ ocaml (>=3.11.1-3~),
+ libcamlimages-ocaml-dev (>= 4.0.1),
+ ocaml-findlib,
  tex-common, texlive-binaries, texlive-latex-base, texlive-pstricks,
  texlive-latex-recommended, texlive-pictures, hevea,
  x11proto-core-dev, libx11-dev, libxinerama-dev, zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/advi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/advi.git
 Homepage: http://advi.inria.fr/
@@ -21,10 +22,10 @@
 Package: advi
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends},
- texlive-base-bin, texlive-base, ghostscript (>= 7.05)
+ texlive-base-bin, texlive-base, ghostscript-x (>= 7.05), perl
 Suggests: ttf-kochi-gothic, ttf-kochi-mincho, bzip2
 Replaces: mldvi, activedvi
-Description: an active DVI previewer and presenter
+Description: active DVI previewer and presenter
  Active-DVI is a DVI previewer and presenter written in Objective Caml
  with some eye candy effects for presentation, support for interactive
  demonstrations, and embedding of arbitrary applications within the
@@ -39,7 +40,7 @@
 
 Package: advi-examples
 Architecture: all
-Depends: ${misc:Depends}, texlive-latex-base, ghostscript, advi, imagemagick
+Depends: ${misc:Depends}, texlive-latex-base, advi, imagemagick
 Conflicts: advi (<< 1.6.0-4)
 Suggests: ttf-kochi-gothic, ttf-kochi-mincho, ocaml-base-nox, mpg321, tk8.4, xterm
 Description: example presentations for Active-DVI (advi)

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 			--prefix=/usr \
 			--mandir=\$${prefix}/share/man \
 			--infodir=\$${prefix}/share/info \
-			--with-gs=/usr/bin/ghostscript
+			--with-gs=/usr/bin/ghostscript \
+			--sysconfdir=/etc
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/advi
@@ -24,13 +25,7 @@
 	cd $(CURDIR)/debian/advi/usr/bin && mv -f advi.byt advi
 endif
 
-# Do not strip the executable when compiling to bytecode (bug #500286).
-# This should be dropped as soon as bytecode compilation can be done without
-# using the -custom option (see bug #517546).
-ifeq ($(OPT),false)
-override_dh_strip:
-	dh_strip
-endif
-
 override_dh_compress:
 	dh_compress --exclude=usr/share/doc/advi/splash.dvi
+
+override_dh_autotest:

## advi 1.10.2

=== examples/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the various example subdirectories.
 
-# $Id: Makefile,v 1.4 2010/03/24 08:05:32 remy Exp $
+# $Id: Makefile,v 1.4 2010-03-24 08:05:32 remy Exp $
 
 
 EXPORTFILES = $(shell find -name CVS -prune -o -name '[^.]*' -print)

=== examples/basics/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the basic examples and its subdirectories.
 
-# $Id: Makefile,v 1.11 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.11 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../advi.opt file.dvi

=== examples/lib/Makefile ===
TEXINPUTS := .:$(TOPDIR)/examples/lib:$(TOPDIR)/tex:$(TOPDIR)/examples/prosper:
ADVI=TEXPSHEADERS=.:$(TOPDIR)/tex: $(TOPDIR)/src/advi
LATEX=TEXINPUTS=$(TEXINPUTS) latex 
STY=advi.sty advi-annot.sty bubble.sty 
LIBSTY=commandline.sty xprosper.sty
DEPENDS=$(addprefix $(TOPDIR)/tex/, $(STY)) \
        $(addprefix $(TOPDIR)/examples/lib/, $(LIBSTY))
DVIFILES=$(FILES:%.tex=%.dvi) Makefile

all:: $(DVIFILES)

.dvi.advi:
	$(ADVI) $<

.tex.dvi: 
	$(LATEX) $*

.tex.ps:
	$(LATEX) '\def\argv{driver=dvips}\input' $*
	dvips -o $@ $*.dvi
	rm $*.dvi

.tex.pdf:
	$(LATEX) '\def\argv{driver=dvipdfm}\input' $*
	dvipdfm -o $@ $*.dvi
	rm $*.dvi

clean::
	rm -f $(FILES:%.tex=%.{aux,log,dvi,ps,pdf})

.SUFFIXES: .tex .dvi .advi .ps .eps .ftex .gz .pdf

=== examples/prosper/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the prosper examples.
 
-# $Id: Makefile,v 1.12 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.12 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../advi.opt file.dvi

=== examples/seminar/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the seminar examples.
 
-# $Id: Makefile,v 1.2 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.2 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../advi.opt file.dvi

=== examples/slitex/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the slitex sub-directory examples.
 
-# $Id: Makefile,v 1.3 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.3 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../../advi.opt file.dvi

=== examples/prosper/Join/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the Join example.
 
-# $Id: Makefile,v 1.7 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.7 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../../../advi.opt file.dvi

=== examples/prosper/LL/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the LL example.
 
-# $Id: Makefile,v 1.10 2010/03/19 15:56:11 remy Exp $
+# $Id: Makefile,v 1.10 2010-03-19 15:56:11 remy Exp $
 
 # To view the demos, use ../../../advi.opt file.dvi

=== examples/seminar/a14/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the A14 example.
 
-# $Id: Makefile,v 1.6 2010/03/14 09:48:45 remy Exp $
+# $Id: Makefile,v 1.6 2010-03-14 09:48:45 remy Exp $
 
 # To view the demos, use ../advi.opt file.dvi

=== examples/seminar/clock/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the clock example.
 
-# $Id: Makefile,v 1.7 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.7 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../../../advi.opt file.dvi

=== examples/slitex/advi/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the slitex advi sub-directory example.
 
-# $Id: Makefile,v 1.5 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.5 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../../../advi.opt file.dvi

=== examples/slitex/caml/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # The Makefile for the slitex caml sub-directory example.
 
-# $Id: Makefile,v 1.6 2010/03/11 22:25:03 remy Exp $
+# $Id: Makefile,v 1.6 2010-03-11 22:25:03 remy Exp $
 
 # To view the demos, use ../../../advi.opt file.dvi

=== debian/changelog ===
advi (1.10.2-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:01:35 +0000

advi (1.10.2-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Fix mode of /usr/share/doc/advi-examples/examples/basics/alltt.sty
  * debian/rules: use $(OCAML_HAVE_OCAMLOPT) to distinguish native
    from non-native architectures.
  * Fix epoch in build-dependency on libcamlimages-ocaml-dev (thanks to
    Jakub Wilk).
  * Standards-version 3.9.4
    - migrate debian/policy to machine-readable format 1.0
  * fix installation of latex and hevea files:
    - debian/advi.dirs: create directories for hevea and latex stuff
    - debian/advi.install: install hevea and tex files in the right directories
    - debian/rules: remove top-level /advi file created by a buggy
      installation script (closes: #726418)
  * Drop obsolete lintian override

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Ralf Treinen <treinen@debian.org>  Wed, 16 Oct 2013 22:25:29 +0200

advi (1.10.2-1) unstable; urgency=low

  * New upstream release.
  * patch really-clean: remove some files leftover by upstream clean.
  * debian/rules: fix name of target override_dh_auto_test

 -- Ralf Treinen <treinen@debian.org>  Fri, 21 Oct 2011 16:43:53 +0200

advi (1.10.0-2) unstable; urgency=low

  * debian/control and debian/jpfonts.conf: replaced ttf-kochi- fonts
    (closes: #644772). Thanks to Hideki Yamane for the patch!
  * Add a README to debian/examples/japanese that explains what
    additional packages are needed.

 -- Ralf Treinen <treinen@debian.org>  Thu, 13 Oct 2011 15:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
  Remi Vanicat <vanicat@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
  ocaml (>=3.11.1-3~),
- libcamlimages-ocaml-dev (>= 4.0.1),
+ libcamlimages-ocaml-dev (>= 1:4.0.1),
  ocaml-findlib,
  tex-common, texlive-binaries, texlive-latex-base, texlive-pstricks,
  texlive-latex-recommended, texlive-pictures, hevea,
  x11proto-core-dev, libx11-dev, libxinerama-dev, zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/advi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/advi.git
 Homepage: http://advi.inria.fr/
@@ -23,7 +22,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends},
  texlive-base-bin, texlive-base, ghostscript-x (>= 7.05), perl
-Suggests: ttf-kochi-gothic, ttf-kochi-mincho, bzip2
+Suggests: fonts-ipafont-gothic | fonts-japanese-gothic,
+ fonts-ipafont-mincho | fonts-japanese-mincho,
+ bzip2
 Replaces: mldvi, activedvi
 Description: active DVI previewer and presenter
  Active-DVI is a DVI previewer and presenter written in Objective Caml
@@ -42,7 +43,9 @@
 Architecture: all
 Depends: ${misc:Depends}, texlive-latex-base, advi, imagemagick
 Conflicts: advi (<< 1.6.0-4)
-Suggests: ttf-kochi-gothic, ttf-kochi-mincho, ocaml-base-nox, mpg321, tk8.4, xterm
+Suggests: fonts-ipafont-gothic | fonts-japanese-gothic,
+ fonts-ipafont-mincho | fonts-japanese-mincho,
+ ocaml-base-nox, mpg321, tk8.4, xterm
 Description: example presentations for Active-DVI (advi)
  Active-DVI is a DVI previewer and presenter written in Objective Caml
  with some eye candy effects for presentation, support for interactive

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with tex,ocaml

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--with-gs=/usr/bin/ghostscript \
			--sysconfdir=/etc
	chmod 644 examples/basics/alltt.sty

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/advi
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	-rm -f $(CURDIR)/debian/advi/usr/bin/advi.byt
else
	cd $(CURDIR)/debian/advi/usr/bin && mv -f advi.byt advi
endif
	rm -rf $(CURDIR)/debian/advi/advi

override_dh_compress:
	dh_compress --exclude=usr/share/doc/advi/splash.dvi

override_dh_auto_test:
